org.codehaus.groovy.binding

## Class ClosureSourceBinding

- java.lang.Object
- - org.codehaus.groovy.binding.ClosureSourceBinding

All Implemented Interfaces:
  SourceBinding

    public class ClosureSourceBinding
    extends java.lang.Object
    implements SourceBinding

Since:
  Groovy 1.1

### Constructor Summary

Constructors
Constructor and Description
`ClosureSourceBinding(Closure closure)`
`ClosureSourceBinding(Closure closure, java.lang.Object[] arguments)`

### Method Summary

Methods
`Closure` `getClosure()`
`java.lang.Object` `getSourceValue()`
`void` `setClosure(Closure closure)`
`void` `setClosureArgument(java.lang.Object argument)`
`void` `setClosureArguments(java.lang.Object[] arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure)

#### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure,
                        java.lang.Object[] arguments)

### Method Detail

#### getClosure

    public Closure getClosure()

#### setClosure

    public void setClosure(Closure closure)

#### getSourceValue

    public java.lang.Object getSourceValue()

Specified by:
  `getSourceValue` in interface `SourceBinding`

#### setClosureArguments

    public void setClosureArguments(java.lang.Object[] arguments)

#### setClosureArgument

    public void setClosureArgument(java.lang.Object argument)